# Change the service's tone and signature

`PATCH /workspace/service/voice` · Rivier · contacts

Change the service's tone and signature.

- Scope: contacts:write
- Graphql: Mutation.contactsVoiceUpdate
- Sdk: contacts.voice.update
- Cli: contacts voice update

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "tone": {
      "type": "string",
      "enum": [
        "warm",
        "plain",
        "formal"
      ]
    },
    "guidance": {
      "type": "string",
      "maxLength": 2000
    },
    "signature": {
      "type": "string",
      "maxLength": 500
    },
    "businessName": {
      "type": "string",
      "maxLength": 200
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/workspace/service/voice' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "tone": "warm",
  "guidance": "string",
  "signature": "string",
  "businessName": "string"
}'
```
